"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureGIFApis = exports.ensureSparkApis = exports.ensureApis = void 0;
const api = require("../api");
const ensureApiEnabled_1 = require("../ensureApiEnabled");
const prefix = "dataconnect";
async function ensureApis(projectId) {
    await (0, ensureApiEnabled_1.ensure)(projectId, api.dataconnectOrigin(), prefix);
    await (0, ensureApiEnabled_1.ensure)(projectId, api.cloudSQLAdminOrigin(), prefix);
    await (0, ensureApiEnabled_1.ensure)(projectId, api.computeOrigin(), prefix);
}
exports.ensureApis = ensureApis;
async function ensureSparkApis(projectId) {
    await (0, ensureApiEnabled_1.ensure)(projectId, api.cloudSQLAdminOrigin(), prefix);
}
exports.ensureSparkApis = ensureSparkApis;
async function ensureGIFApis(projectId) {
    await (0, ensureApiEnabled_1.ensure)(projectId, api.cloudAiCompanionOrigin(), prefix);
}
exports.ensureGIFApis = ensureGIFApis;
