"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDataConnectEmulatorClient = void 0;
const types_js_1 = require("../../../emulator/types.js");
const apiv2_js_1 = require("../../../apiv2.js");
const dataplaneClient_js_1 = require("../../../dataconnect/dataplaneClient.js");
async function getDataConnectEmulatorClient(host) {
    const emulatorUrl = await host.getEmulatorUrl(types_js_1.Emulators.DATACONNECT);
    const apiClient = new apiv2_js_1.Client({
        urlPrefix: emulatorUrl,
        apiVersion: dataplaneClient_js_1.DATACONNECT_API_VERSION,
        auth: false,
    });
    return apiClient;
}
exports.getDataConnectEmulatorClient = getDataConnectEmulatorClient;
