"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate_schema = void 0;
const zod_1 = require("zod");
const tool_js_1 = require("../../tool.js");
const util_js_1 = require("../../util.js");
const fdcExperience_js_1 = require("../../../gemini/fdcExperience.js");
exports.generate_schema = (0, tool_js_1.tool)({
    name: "generate_schema",
    description: "Generates a Firebase Data Connect Schema based on the users description of an app.",
    inputSchema: zod_1.z.object({
        prompt: zod_1.z.string().describe("A description of an app that you are interested in building"),
    }),
    annotations: {
        title: "Generate Data Connect Schema",
        readOnlyHint: true,
    },
    _meta: {
        requiresProject: true,
        requiresAuth: true,
        requiresGemini: true,
    },
}, async ({ prompt }, { projectId }) => {
    const schema = await (0, fdcExperience_js_1.generateSchema)(prompt, projectId);
    return (0, util_js_1.toContent)(schema);
});
