"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.list_services = void 0;
const zod_1 = require("zod");
const tool_js_1 = require("../../tool.js");
const util_js_1 = require("../../util.js");
const client = require("../../../dataconnect/client.js");
exports.list_services = (0, tool_js_1.tool)({
    name: "list_services",
    description: "List the Firebase Data Connect services available in the current project.",
    inputSchema: zod_1.z.object({}),
    annotations: {
        title: "List Data Connect Services",
        readOnlyHint: true,
    },
    _meta: {
        requiresProject: true,
        requiresAuth: true,
    },
}, async (_, { projectId }) => {
    const services = await client.listAllServices(projectId);
    return (0, util_js_1.toContent)(services, { format: "yaml" });
});
