"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_template = void 0;
const zod_1 = require("zod");
const tool_js_1 = require("../../tool.js");
const util_js_1 = require("../../util.js");
const get_js_1 = require("../../../remoteconfig/get.js");
exports.get_template = (0, tool_js_1.tool)({
    name: "get_template",
    description: "Retrieves a remote config template for the project",
    inputSchema: zod_1.z.object({
        version_number: zod_1.z
            .string()
            .optional()
            .describe("The version number of the template to retrieve. If not provided, retrieves the active template."),
    }),
    annotations: {
        title: "Get Remote Config template",
        readOnlyHint: true,
    },
    _meta: {
        requiresAuth: true,
        requiresProject: true,
    },
}, async ({ version_number }, { projectId }) => {
    return (0, util_js_1.toContent)(await (0, get_js_1.getTemplate)(projectId, version_number));
});
